HCCONTROL(8)

NAME
hccontrol - HCI configuration utility

SYNOPSIS
hccontrol [-hN] [-n HCI_node_name] command [parameters ...]

DESCRIPTION
The hccontrol utility connects to the specified Netgraph node of type HCI or the first one found if none is specified and attempts to send the specified command to the HCI Netgraph node or to the associated Bluetooth device. The hccontrol utility will print results to the standard output and error messages to the standard error.

The options are as follows:

-h  Display usage message and exit.

-N  Show Bluetooth addresses as numbers. Normally hccontrol attempts to resolve Bluetooth addresses, and display them symbolically.

-n HCI_node_name
    Connect to the specified HCI Netgraph node.

command
    One of the supported commands (see below). The special command help can be used to obtain the list of all supported commands. To get more information about a specific command use help command.

parameters
    One or more optional space separated command parameters. Many commands require a remote device address as one of the parameters. The remote device address can be specified as BD_ADDR or a name. If a name was specified then the hccontrol utility will attempt to resolve the name via bt_gethostbyname(3).

COMMANDS
The currently supported HCI commands in hccontrol are:

Inquiry
Create_Connection
Disconnect
Add_SCO_Connection
Change_Connection_Packet_Type
Remote_Name_Request
Read_Remote_Supported_Features
Read_Remote_Version_Information
Read_Clock_Offset
Role_Discovery
Switch_Role
Read_Link_Policy_Settings
Write_Link_Policy_Settings
Reset
Read_Pin_Type
Write_Pin_Type
Read_Stored_Link_Key
Write_Stored_Link_Key
Delete_Stored_Link_Key
Change_Local_Name
Read_Local_Name
Read_Connection_Accept_Timeout
Write_Connection_Accept_Timeout
Read_Page_Timeout
Write_Page_Timeout
Read_Scan_Enable
Write_Scan_Enable
Read_Page_Scan_Activity
Write_Page_Scan_Activity
Read_Inquiry_Scan_Activity
Write_Inquiry_Scan_Activity
Read_Authentication_Enable
Write_Authentication_Enable
Read_Encryption_Mode
Write_Encryption_Mode
Read_Class_Of_Device
Write_Class_Of_Device
Read_Voice_Settings
Write_Voice_Settings
Read_Number_Broadcast_Retransmissions
Write_Number_Broadcast_Retransmissions
Read_Hold_Mode_Activity
Write_Hold_Mode_Activity
Read_SCO_Flow_Control_Enable
Write_SCO_Flow_Control_Enable
Read_Link_Supervision_Timeout
Write_Link_Supervision_Timeout
Read_Page_Scan_Period_Mode
Write_Page_Scan_Period_Mode
Read_Page_Scan_Mode
Write_Page_Scan_Mode
Read_Local_Version_Information
Read_Local_Supported_Features
Read_Buffer_Size
Read_Country_Code
Read_BD_ADDR
Read_Failed_Contact_Counter
Reset_Failed_Contact_Counter
Get_Link_Quality
Read_RSSI

The currently supported node commands in hccontrol are:

Read_Node_State
Initialize
Read_Debug_Level
Write_Debug_Level
Read_Node_Buffer_Size
Read_Node_BD_ADDR
Read_Node_Features
Read_Node_Stat
Reset_Node_Stat
Flush_Neighbor_Cache
Read_Neighbor_Cache
Read_Connection_List
Read_Node_Link_Policy_Settings_Mask
Write_Node_Link_Policy_Settings_Mask
Read_Node_Packet_Mask
Write_Node_Packet_Mask
Read_Node_Role_Switch
Write_Node_Role_Switch
Read_Node_List

EXIT STATUS

SEE ALSO
bluetooth(3), netgraph(3), netgraph(4), ng_hci(4), hcseriald(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

BUGS
Most likely. Please report if found.